Jump to content
3DCoat Forums
Styler

Maya appLink

Recommended Posts

Hm.. Did you copy all file like that?

 

\shelves\shelf_Coat.mel  -> c:\Users\UserName\Documents\maya\2014-x64\prefs\shelves\

all icons from \icons\ -> c:\Users\UserName\Documents\maya\2014-x64\prefs\icons\

Edited by Styler

Share this post


Link to post
Share on other sites

hmm, I installed it and have the shelf and the plugin loaded.  but when I try to export I get this error in maya.  

 

 

export complete
// Error: line 1: AttributeError: file C:/Program Files (x86)/Autodesk/Maya2013/bin/plug-ins/3dc_connector.py line 1000: 'module' object has no attribute 'MStatus' // 
 

windows8.1

3DCoat4.1

maya 2013 32-bit sp2

 
 
any ideas?
 

Share this post


Link to post
Share on other sites

Is this one still in developement? 

Will it work with MayaLT 2015 (2016 comes out 26. march) ? 

Share this post


Link to post
Share on other sites

Just tried this out on Maya 2016, but it seems to not work with 3D-Coat 4.5 (and even in 4.1 has troubles with textures) ?

Is this one of the applinks thats considered abandoned / not working atp?

Share this post


Link to post
Share on other sites

Nice.

 

There's so many applinks the seem to be abandoned on here, but it's great to see some of the original authors are still willing to do updates :)

  • Like 1

Share this post


Link to post
Share on other sites

Hey guys.
I released a new version (link in topic header)

 

What's new:

- Supported Maya 2011+ (32/64) win/linux/osx (requires PyQt/PySide)
- All GUI moved to Pymel and Qt
- Support for object hierarchies and rotation/scale pivots
- Copy/Replace mode

 

version_2_1_0.jpg

 

The applink has been rewritten with using Pymel and Qt4. That means it won't work with Maya version lower than 2011. For Maya 2011/2012 you have to install PyQT/PySide, choose which one you like, both of them are supported by the code. Versions 2013+ have PyQt/PySide modules out of the box, so you don't have to worry about it.

 

Here you can find an additional information regarding installation PyQt for Maya 2011/2012:
http://nathanhorne.com/guide-to-pyqtpyside/

 

This release introduces a couple new import features such as support for object hierarchies/pivots and "Copy/Replace shape" mode.

 

You can do now export objects from hierarchy and import them back with the same transformations and pivot positions. It should work in most cases, but could be some minor issues.

 

Use "Replace Shape" button for toggling import modes. When "Replace" mode is active, applink will replace an old mesh with a new one. If you uncheck the button, the tool will use copying mechanism, meaning you save your old mesh shape with all extra attributes, expressions ans etc., but topology will be changed.

 

Enjoy.

 

P.S. Don't forget to change you exchange folder in Options tab. It has to reference to correct 3dcoat exchange directory. For instance, if you have installed version 4.5, the path should be "Documents/3D-CoatV45/Exchange" and so on.

Edited by Styler
  • Like 5

Share this post


Link to post
Share on other sites

slavademen

Unfortunately Maya LT is not supported, because of its restrictions, such as: MEL scripting only and no access to Maya API.

Edited by Styler

Share this post


Link to post
Share on other sites

Awesome!

 

After setting up the 3dcoat path and the exchange path in the options i've been able to import from maya into 3d coat.

 

How do i go from 3d coat back to maya?

 

I'm using 4.5.28 and maya 2016

 

In the video it shows a 3d coat menu item that says "open object in external program" but i guess they've changed that

 

Thanks for this awesome tool !

 

 

Share this post


Link to post
Share on other sites

When i use "export to maya" it opens a save as dialogue box.  is there a specific location it needs to be for maya to automatically pick up?

 

I've also tried pressing the "import button" on the applink shelf and it says Warning: Applink No information for processing import

Share this post


Link to post
Share on other sites

It appears only in case if you imported the model to 3D-Coat via applink.

1) make object in Maya
2) do export via applink (in 3D-Coat you should have importing dialog, do import)
3) Paint you model
4) File->Open in Original App

Share this post


Link to post
Share on other sites

Hrmm, it appears to do something on the 3D coat end, but nothing updates on the maya end.

 

Does it work for sculpting changes as well or just painting?

 

thanks for all of your help with this

Share this post


Link to post
Share on other sites

>> Does it work for sculpting changes as well or just painting?

Which export mode do you use? (Maya->Coat)

Edited by Styler

Share this post


Link to post
Share on other sites

This does not work with Maya 2016, can anyone else confirm?

Share this post


Link to post
Share on other sites

I'm having trouble getting this to work. Using Edu version of 2016, plugin shows in plugin manager but gives me:

--------------------------------
// Error: line 1: ApplinkError: file /Users/Stephen/Library/Preferences/Autodesk/maya/2016/plug-ins/3dc_applink.py line 57: Registration failed for <coatExport> command. // 
// Warning: line 1: Failed to call script initialize function // 
// Error: line 1:  (3dc_applink) // 

I'm on OSX10.9.5 btw

Share this post


Link to post
Share on other sites

Hey Styler, for some reason when I updated to the latest 3DCoat version 4.5.38 your script now works.  Sorry for any consternation I might've caused :)

I'm on Win7 64Bit

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×